#########################################
# Config :  Hyprland Inputs				#
# Author :  Luca						#
# Gitlab :  https://gitlab.com/luca.py	#
#########################################

# INPUTS #
# For all categories, see https://wiki.hyprland.org/Configuring/Variables/
input {
    kb_layout = fr,dz
    kb_variant = ,ar
    kb_model =
    kb_options = grp:alt_shift_toggle
    kb_rules =

    follow_mouse = 1
    numlock_by_default = true

    touchpad {
        natural_scroll = true
        tap-to-click = true
        drag_lock = true
        disable_while_typing = true
    }

    sensitivity = 0 # -1.0 - 1.0, 0 means no modification.
}

gestures {
    # See https://wiki.hyprland.org/Configuring/Variables/ for more
    workspace_swipe = off
}

# Example per-device config
# See https://wiki.hyprland.org/Configuring/Keywords/#executing for more
device {
	name = sinowealth-game-mouse
    sensitivity = -0.5
}
